Dyalog 16 and Ride on Raspberry Pi

For Raspberry Pi specific issues .. more general issues will appear in UNIX and Linux

Dyalog 16 and Ride on Raspberry Pi

Postby ray on Thu Jul 06, 2017 5:27 pm

I have 3 raspberry pi's two RPi 1, and one Raspberry Pi 3.

I have just upgraded from Dyalog 15 to 16 as described in the "Dyalog APT Repository" notes on all 3 Pi's:

Upgrade
Upgrade from 15.0 to 16.0
If you already have Dyalog 15.0 installed you can run the following 2 commands to upgrade to 16.0

$ sudo apt-get update
$ sudo apt-get dist-upgrade


This has also installed Ride 4 on all 3 machines. As a result, and the two RPi 1's are now having problems because they try to start RIDE 4 (rather than RIDE 3 as with Dyalog 15). How do I uninstall RIDE 4 please on these two Pi's and reactivate RIDE 3?

Thanks for any advice

Ray
Ray Cannon
Please excuse any smelling pisstakes.
User avatar
ray
 
Posts: 109
Joined: Wed Feb 24, 2010 12:24 am
Location: Blackwater, Camberley. UK

Re: Dyalog 16 and Ride on Raspberry Pi

Postby Jason|Dyalog on Fri Jul 07, 2017 9:34 am

Hi Ray.

As part of the install of Dyalog 16.0 on the Raspberry Pi we also install RIDE4, You can still start you the TTY version of Dyalog by selecting Dyalog APL (TTY) from the menu.

To my knowledge, there was no RIDE3 on the Raspberry Pi as the system used to render the HTML was not available on ARM architecture, The only thing that was available was the TTY interface.

The issue here is that the System used for rendering on RIDE4 is compiled for armv7l and not for armv6l. This means RIDE4 is not compatible with the Raspberry Pi version 1 or the Raspberry Pi ZERO, but at the package level we have no way of telling which version you are running as they're both called "armhf".

The process we have is that the package dyalog-unicode will always install the latest version, in the case of 16.0 this includes RIDE. One thing I will look at doing is creating a new package named dyalog-unicode-tty - this will still always install the latest version of Dyalog but will not install RIDE (or any other GUI layers going forwards).

I'll see if I can create the new package of dyalog-unicode-tty before the end of today and have it uploaded to the package server. At this point you can remove dyalog-unicode and install dyalog-unicode-tty. In the meantime, you can run "dyalog" from a shell as you did before or select "Dyalog APL (TTY)" from the menus

Regards.
Jason
Jason|Dyalog
 
Posts: 22
Joined: Tue Sep 09, 2008 2:42 pm

Re: Dyalog 16 and Ride on Raspberry Pi

Postby ray on Fri Jul 07, 2017 10:35 am

Thank you Jason for your reply.

I have now got Ride 3 on my windows PC accessing Dyalog 16 (in tty mode) on my Raspberry Pi 1

Out of interest Ride About is showing:

IDE:
Version: 3.0.1996
Platform: Win32
Date: 2016-11-01 14:14:30 +0000
Git commit: 6545091e25cf7d760b1677388b8542a2fa858256
User agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.76 Safari/537.36
Settings:{
"editorWidth":"1303",
"favs":"[{\"name\":\"Pi2eye\",\"host\":\"192.168.0.13\",\"type\":\"connect\"},{\"name\":\"raspberrypi2\",\"host\":\"192.168.0.5\",\"type\":\"connect\",\"exe\":\"C:\\\\Program Files\\\\Dyalog\\\\Dyalog APL-64 15.0 Unicode\\\\dyalog.exe\",\"ssh\":1},{\"name\":\"PiRat\",\"host\":\"PiRat.local\"}]",
"floatOnTop":"1",
"floating":"1",
"kbdLocale":"en_GB",
"otherExe":"dyalog",
"pos":"[87,42,1420,956]",
"posEditor":"[793,0,1084,1046]",
"posTracer":"[2183,50,1597,667]",
"selectedExe":"C:\\Program Files\\Dyalog\\Dyalog APL-64 15.0 Unicode\\dyalog.exe",
"theme":"redmond",
"title":"{WSID}{PID}{HOST}",
"tracerHeight":"405",
"wse":"1",
"wseWidth":"157"
}

Interpreter:
Version: 16.0.30270
Platform: Linux
Edition: Unicode/32
Date: Created: Jun 28 2017 at 11:09:50


Thanks again for your help

Ray
Ray Cannon
Please excuse any smelling pisstakes.
User avatar
ray
 
Posts: 109
Joined: Wed Feb 24, 2010 12:24 am
Location: Blackwater, Camberley. UK

Re: Dyalog 16 and Ride on Raspberry Pi

Postby Jason|Dyalog on Fri Jul 07, 2017 10:44 am

RIDE from another computer (your windows computer for example) will work in the same way as it did before. For version 16.0 we recommend upgrading to RIDE4 which has many more features from RIDE3.

Jason.
Jason|Dyalog
 
Posts: 22
Joined: Tue Sep 09, 2008 2:42 pm


Return to Raspberry Pi

Who is online

Users browsing this forum: No registered users and 1 guest